## org.apache.lucene.xmlparser.builders
Class BooleanFilterBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.BooleanFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class BooleanFilterBuilder

extends Object
implements FilterBuilder

Constructor Summary
`BooleanFilterBuilder(FilterBuilder factory)`

Method Summary
`org.apache.lucene.search.Filter` `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanFilterBuilder

    public BooleanFilterBuilder(FilterBuilder factory)

Method Detail

### getFilter

    public org.apache.lucene.search.Filter getFilter(Element e)
                                              throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`